import { Component, Input } from '@angular/core';
import { Tag } from 'primeng/tag';
import { TspProviderResponseStatus } from './type';

@Component({
  selector: 'catalog-tax-provider-status-tag',
  templateUrl: './tax-provider-status-tag.component.html',
  imports: [Tag],
})
export class CatalogTaxProviderStatusTagComponent {
  @Input({ required: true }) status!: TspProviderResponseStatus;
  @Input() translate!: string;

  get severity() {
    switch (this.status) {
      case 'SUCCESS':
        return 'success';
      case 'FAILURE':
        return 'danger';
      case 'NOT_SEND':
        return 'warn';
      case 'QUEUED':
        return 'info';
      default:
        return 'secondary';
    }
  }

  get label() {
    switch (this.status) {
      case 'SUCCESS':
        return 'موفق';
      case 'FAILURE':
        return 'ناموفق';
      case 'NOT_SEND':
        return 'ارسال نشده';
      case 'QUEUED':
        return 'در صف ارسال';
      default:
        return 'نامشخص';
    }
  }
}
